# /modules/iptables/init.pp
#
# Written on 110207 by yannick.vaucher@switzernet.com
#
# This module is intended for debian only
#
# Copyright (c) Switzernet
#

class iptables {

        package{ "iptables":
                ensure => installed
        }

        file { "/etc/init.d/blacklist.rules":
                owner   => "root",
                group   => "root",
                mode    => 750,
                source  => "puppet:///iptables/blacklist.rules",
                require => Package["iptables"],
                notify  => Exec["update iptables"]
        }

        exec { "update iptables":
                refreshonly => true,
                command     => "sh /etc/init.d/blacklist.rules",
        }

}